import { EventEmitter } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { AuthenticationServiceConfig } from './../model/authentication.service.config';
export declare class AuthenticationService {
    private http;
    private authenticationApiUrl;
    private sharePointService;
    authenticatedChanged: EventEmitter<boolean>;
    authenticated: boolean;
    authenticatedUser: {
        admin: boolean;
        accountName: string;
        displayName: string;
        distinguishedName: string;
        employeeNumber: string;
        photoUrl?: string;
        permissions?: string[];
        reversePermissions?: string[];
    };
    constructor(config: AuthenticationServiceConfig, http: HttpClient);
    login(username: string, password: string, adminGroup?: string): Observable<string>;
    logout(): void;
    validateUser(): boolean;
    private getPhoto();
}
